Makes
GET /api/makes/powersports
Section titled “GET /api/makes/powersports”Returns motorcycle and powersports makes (brands) available in the dataset. The demo dataset covers makes that sold vehicles between 2015–2020. To access makes from the 1930s to today, subscribe and include a valid JWT.
The type parameter is required and must be set to street_motorcycle.
Sample Request
Section titled “Sample Request”curl "https://carapi.app/api/makes/powersports?type=street_motorcycle" \ -H "Authorization: Bearer YOUR_JWT_TOKEN_HERE"const params = new URLSearchParams({ type: 'street_motorcycle' });
const response = await fetch(`https://carapi.app/api/makes/powersports?${params}`, { headers: { 'Authorization': `Bearer ${jwt}` }});
const data = await response.json();console.log('Makes:', data);import requests
headers = { 'Authorization': f'Bearer {jwt}'}
params = { 'type': 'street_motorcycle'}
response = requests.get( 'https://carapi.app/api/makes/powersports', headers=headers, params=params)
data = response.json()print('Makes:', data)use GuzzleHttp\Client;
$client = new Client();
$response = $client->get('https://carapi.app/api/makes/powersports', [ 'headers' => [ 'Authorization' => 'Bearer YOUR_JWT_TOKEN_HERE', ], 'query' => [ 'type' => 'street_motorcycle', ],]);
$data = json_decode($response->getBody(), true);print_r($data);$url = 'https://carapi.app/api/makes/powersports?' . http_build_query([ 'type' => 'street_motorcycle',]);
$ch = curl_init();curl_setopt($ch, CURLOPT_URL, $url);curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);curl_setopt($ch, CURLOPT_HTTPHEADER, [ 'Authorization: Bearer YOUR_JWT_TOKEN_HERE',]);
$response = curl_exec($ch);curl_close($ch);
$data = json_decode($response, true);print_r($data);Sample Response
Section titled “Sample Response”{ "collection": { "url": "/api/makes/powersports?type=street_motorcycle&year=2020", "count": 28, "pages": 1, "total": 28, "next": "", "prev": "", "first": "/api/makes/powersports?type=street_motorcycle&year=2020", "last": "" }, "data": [ {"id": 442, "name": "AJP"}, {"id": 409, "name": "Aprilia"}, {"id": 419, "name": "Benelli"}, {"id": 428, "name": "Beta"}, {"id": 3, "name": "BMW"}, {"id": 407, "name": "Buell"}, {"id": 426, "name": "Can-Am"}, {"id": 433, "name": "CSC"}, {"id": 406, "name": "Ducati"}, {"id": 443, "name": "Gas Gas"}, {"id": 421, "name": "Genuine Scooters"}, {"id": 401, "name": "Harley Davidson"}, {"id": 9, "name": "Honda"}, {"id": 422, "name": "Husqvarna"}, {"id": 436, "name": "Indian"}, {"id": 402, "name": "Kawasaki"}, {"id": 411, "name": "KTM"}, {"id": 418, "name": "KYMCO"}, {"id": 405, "name": "Moto Guzzi"}, {"id": 414, "name": "MV Agusta"}, {"id": 424, "name": "Piaggio"}, {"id": 427, "name": "Royal Enfield"}, {"id": 49, "name": "Suzuki"}, {"id": 425, "name": "SYM"}, {"id": 114, "name": "Triumph"}, {"id": 193, "name": "Vespa"}, {"id": 403, "name": "Yamaha"}, {"id": 430, "name": "Zero"} ]}Filtering
Section titled “Filtering”curl "https://carapi.app/api/makes/powersports?type=street_motorcycle&year=2024&make=Kawasaki" \ -H "Authorization: Bearer YOUR_JWT_TOKEN_HERE"const params = new URLSearchParams({ type: 'street_motorcycle', year: '2024', make: 'Kawasaki'});
const response = await fetch(`https://carapi.app/api/makes/powersports?${params}`, { headers: { 'Authorization': `Bearer ${jwt}` }});
const data = await response.json();console.log('Makes:', data);import requests
headers = {'Authorization': f'Bearer {jwt}'}params = { 'type': 'street_motorcycle', 'year': '2024', 'make': 'Kawasaki'}
response = requests.get( 'https://carapi.app/api/makes/powersports', headers=headers, params=params)
data = response.json()print('Makes:', data)use GuzzleHttp\Client;
$client = new Client();
$response = $client->get('https://carapi.app/api/makes/powersports', [ 'headers' => [ 'Authorization' => 'Bearer YOUR_JWT_TOKEN_HERE', ], 'query' => [ 'type' => 'street_motorcycle', 'year' => '2024', 'make' => 'Kawasaki', ],]);
$data = json_decode($response->getBody(), true);print_r($data);$url = 'https://carapi.app/api/makes/powersports?' . http_build_query([ 'type' => 'street_motorcycle', 'year' => '2024', 'make' => 'Kawasaki',]);
$ch = curl_init();curl_setopt($ch, CURLOPT_URL, $url);curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);curl_setopt($ch, CURLOPT_HTTPHEADER, [ 'Authorization: Bearer YOUR_JWT_TOKEN_HERE',]);
$response = curl_exec($ch);curl_close($ch);
$data = json_decode($response, true);print_r($data);